Subject: Re: [PATCH] [POWERPC] QE: simplify GUEMR register initialization

From: Timur Tabi <[email-masked]>
Date: Tue, 11 Sep 2007 12:09:13 -0500

Paul and Kumar,

It turns out that I have a bunch more QE library code clean-up, so please 
ignore this patch.  I'll submit a more comprehensive one later this week.

Timur Tabi wrote:
> The initialization of the QE's GUEMR register is overly complicated, involving
> multiple functions and a redundant ucc_common structure.  This patch removes
> struct ucc_common, merges ucc_init_guemr() into ucc_set_type() (every caller
> of ucc_init_guemr() also calls ucc_set_type() immediately afterward), and
> removes the unused enum ucc_pram_initial_offset.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale